<?php

class CUserProfile extends CPlugin{
	
	var $tplvars; 

	function CUserProfile() {
		//$this->CPlugin($db, $tables , $templates);
	}

	function DoEvents(){
		global $base, $_CONF, $_TSM , $_VARS , $_USER , $_BASE , $_SESS;

		parent::DoEvents();

		if ($_GET["mod"] == "userprofile") {

			$sub = $_GET["sub"];
			$action = $_GET["action"];

			//read the module
			$this->tpl_module = $this->module->plugins["modules"]->LoadDefaultModule("userprofile");


			switch ($sub) {

				case "landing":
				case "texts":
					return $this->__adminTexts();
				break;

			}
		}
	}
	

}

?>